LINUX.ORG.RU

qtcurve и virtualbox со скайпом


0

1

Доброго времени. Подскажите, в чем может быть проблема: при использовании qtcurve скайп и виртуалбокс выглядят ужасно, т.е. используют какой-то другой стандартный стиль. В скайпе в настройках внешнего вида qtcurve вообще нет. В qtconfig всё выставлено, остальные приложения выглядят как надо. Пользую kde 4.7.4 в чакре.

вот скрин:http://itmages.ru/image/view/382773/4157e4df

В скайпе в настройках внешнего вида qtcurve вообще нет.

У меня есть. ЧЯДНТ?

bsdfun ★★★★★ ()

В qtconfig всё выставлено

как?

запускаешь из под того же юзера?

//реквестирую конфиг панели

seed_stil ★★ ()

УМВР, как начинается баг? При закрытии скайпа баг исчезает?

openMSE ()
Ответ на: комментарий от seed_stil

из-под того же. Могу всю тему плазмы скинуть. одну панель - хз как :)

off220 ()
Ответ на: комментарий от openMSE

неа, не исчезает. Вообще в скайпе нет варианта qtcurve. Если выставить в стиле «настройки рабочего стола» - то всё некрасиво.

off220 ()
Ответ на: комментарий от seed_stil

в qtconfig выбран стиль qtcurve. там он есть, а в скайпе нет.

off220 ()
Ответ на: комментарий от off220

Могу всю тему плазмы скинуть. одну панель - хз как :)

и, это, панель задач каким плазмоидом?

в qtconfig стоит «Настройки рабочего стола»?

софтины, случайно, не статически слинкованы?

seed_stil ★★ ()

в чакре как то все через жопу из-за маниакального выпиливание готэка. используй нормальный дистр

арч, кеды, курва - все ок

пруф

Ingvarr ★★★ ()
Ответ на: комментарий от Ingvarr

щас вспомнил про их bundles. скайп как раз через bundle установлен. похоже в этом дело, ага.

off220 ()
Ответ на: комментарий от off220

при этом после prelink скайп отказывается запускаться (:

Ingvarr ★★★ ()

Система 32- или 64-битная?

Deleted ()
Ответ на: комментарий от off220

Тогда у меня та же беда. Скайп 32-битный, поэтому тему не цепляет. Видимо, ему нужна 32-битная qtcurve.
А вот virtualbox нужен просто не со статическим qt, тогда тема будет цепляться.

Deleted ()
Ответ на: комментарий от Deleted

надо у чакровцев спросить

у них форум то не работает что-ли?

off220 ()

Тут дело не в qtcurve, а в самой Qt. Дело в том, что в некоторых сборках skype и virtualbox таскает с собой некоторую версию qt. Такое например творится в aur/virtualbox-bin. Можно вместо lib-файлов, которые идут вместе с программой сделать симлинки на системные библиотеки. Можно поставить нормальный пакет. Для Арча в случае с виртуалбоксом это community/virtualbox + aur/virtualbox-ext-oracle.

m0rph ★★★★★ ()
Ответ на: комментарий от m0rph

понял. спс. буду добиваться от чакровцев нормальной версии. Ведь это от них зависит?

off220 ()
Ответ на: комментарий от off220

Если не ошибаюсь, aur/virtualbox-bin является бинарной версией (closed source), поставляемой непосредственно Oracle вместе с либами Qt. А community/virtualbox - это opensource edition версия, которая собрана из доступных исходников. Но это применительно к Арчу. Не знаю, что там делают чакровцы.

m0rph ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.